{% extends 'base.html' %}
{% block title %}
Domains
{% endblock %}

{% block content %}
    <h1> DOMAINS </h1>
    <a class="link-button" href="{{ url_for('courseComp.add_domain') }}">Add domain</a>
    <div id="search-filter">
        <form method="post">
            {{ form.csrf_token }}   
            {{ form.searchbar() }}
            {{ form.submit() }}
        </form>
    </div>
    <div id='domains'>
        {% for domain in domains %}
        
            <div class='domain' id='{{ domain.domain_id }}'>
                <div class='domain_header'>
                    <a href="{{  url_for('courseComp.specific_domain', domain_id=domain.domain_id)  }}">{{ domain.domain_id }}. {{ domain.domain }}</a>
                </div>
                <div class='domain_description'>{{ domain.domain_description }}</div>
                
            </div>

        {% endfor %}
    </div>
{% endblock %}